import os, sys

# params:
#confi_file = "data/bow_short_diag/bow_short_diag_config.json"
#confi_file = "data/bow_diag_clustering/bow_diag_config.json"
confi_file = "data/bow_merged_comments/bow_merged_comments_config.json"
df_file = confi_file.replace('.json', '.df.pkl').replace('_config', '')

# check if we are at correct working directory:
workdir = os.getcwd()
if not workdir[-len('nlp-in-diagnostic-texts-from-nephropathology'):] == 'nlp-in-diagnostic-texts-from-nephropathology':
    print(workdir + " is the wrong working directory.")
    print("please make shure to run this script with working directory '.../path/to/nlp-in-diagnostic-texts-from-nephropathology'.")
    exit(1)


# Construct clustering pipeline. This is a suggestion how to use all the scripts.
# I also recommend to run each clustering script one by on to fintune the clusterings (with argument --find_k_value)
script_queue = [
f"python database_preparation/preprocess.py --path_to_preprocessing_params {confi_file}",

f"python TextClustering/basedOn_BOW/HDBSCAN_Diagnosis.py --path2corpus {df_file} --k_value {20}",

f"python TextClustering/plot_clustersets.py '{df_file}'",

f"python TextClustering/generate_topicwords.py '{df_file}'",
]

for script in script_queue:
    print("\n########################################### executing ###########################################")
    print(script)
    print("####################################################################################################\n")
    os.system(script)

